/***************************************
 *                                     *
 *  JBoss: The OpenSource J2EE WebOS   *
 *                                     *
 *  Distributable under LGPL license.  *
 *  See terms of license at gnu.org.   *
 *                                     *
 ***************************************/

package org.jboss.repositoryselectorexample;

import org.apache.log4j.Logger;

/**
 * This just shows another object besides the servlet within the same
 * web app.
 *
 * @author  Stan Silvert
 */
public class MyObject {
    
    // note that this can not be static because MyObject is referenced in
    // the servlet before the RepositorySelector is initialized.  For other
    // classes, it would be OK to make this static.
    private final Logger LOG = Logger.getLogger(MyObject.class);
    
    private String servletName;
    
    public MyObject(String servletName) {
        this.servletName = servletName;
    }
    public void foo() {
        LOG.info("Message from MyObject: " + this.servletName);
    }
}
